onEvent('recipes', event => {

    const id_prefix = 'pedestals:pedestal_cobblegensilk'

    const recipes = [
        {
            input: 'create:shadow_steel_casing',
            result: 'appliedenergistics2:smooth_sky_stone_block',
            id: 'smooth_sky_stone'
        },
        {
            input: 'appliedenergistics2:smooth_sky_stone_block',
            result: 'tconstruct:seared_stone',
            id: 'seared_stone'
        }
    ]

    recipes.forEach((recipe) => {
        event.custom({
            type: 'pedestals:pedestal_cobblegensilk',
            ingredient: Item.of(recipe.input).toResultJson(),
            result: Item.of(recipe.result).toResultJson()
        }).id(`${id_prefix}/${recipe.id}`);
    });

    stones.forEach(type => {
        if(type.cobblestone) {
            event.custom({
                type: 'pedestals:pedestal_cobblegensilk',
                ingredient: Item.of(type.stone).toResultJson(),
                result: Item.of(type.stone).toResultJson()
            }).id(`${id_prefix}/${type.id}`);
        }
    });

})